Skip to main content
POST
/
Agent
/
Account
/
Transfer
Transfer
curl --request POST \
  --url https://{host}/Agent/Account/Transfer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "nonce": "<string>",
  "requestSignature": "<string>",
  "keyId": "<string>",
  "keySignature": "<string>",
  "pin": "<string>"
}
'
{
  "onboardingUri": "<string>",
  "qrCodeUrl": "<string>",
  "qrCodeWidth": 123,
  "qrCodeHeight": 123
}

Overview

Allows the client to transfer an account created using the Agent API to another application, such as Neuro-Access. If the account has an associated current Legal ID, the ID will also be transferred to the new application. To transfer an account, without Legal ID, the Key ID, and Key Signatures can be omitted. If transferring an account with any associated Legal ID, and its corresponding private key, the Key ID and Key Signatures must be provided.

Authentication

Requires a valid JWT bearer token.

Notes

This endpoint uses the request schema notation described in Pattern matching.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
nonce
string
required
requestSignature
string
required
keyId
string
keySignature
string
pin
string

Response

200 - application/json

Success

onboardingUri
string
required
qrCodeUrl
string
required
qrCodeWidth
integer
required
qrCodeHeight
integer
required